#include <iostream> 
#include <string>      
using namespace std;

class MyShape
{
public:
	MyShape(int x)
	{
		cout << x * 2 << endl;
	}
};
class MyRectangle : public MyShape
{
public:
	//if there is a constructor in Base Class then you should be define default constructor 
	//for Base class here
	MyRectangle(int y) : MyShape(y + 3)
	{
		cout << y << endl;
	}
};

int main()
{
	MyRectangle R1(8); //first call constructor of MyShape
}

